Eclipse Draw2d 3.2

## org.eclipse.draw2d
Class LightweightSystem.EventHandler

    java.lang.Object
      org.eclipse.draw2d.LightweightSystem.EventHandler

All Implemented Interfaces:
  AccessibleControlListener, AccessibleListener, DisposeListener, EventListener, FocusListener, KeyListener, Listener, MouseListener, MouseMoveListener, MouseTrackListener, SWTEventListener, TraverseListener

Enclosing class:
  LightweightSystem

protected class LightweightSystem.EventHandler
extends Object
implements MouseMoveListener, MouseListener, AccessibleControlListener, KeyListener, TraverseListener, FocusListener, AccessibleListener, MouseTrackListener, Listener, DisposeListener

Listener used to get all necessary events from the Canvas and pass them on to the `EventDispatcher`.

Constructor Summary
`protected` `LightweightSystem.EventHandler()`

Method Summary
`void` `focusGained(FocusEvent e)`
`void` `focusLost(FocusEvent e)`
`void` `getChild(AccessibleControlEvent e)`
`void` `getChildAtPoint(AccessibleControlEvent e)`
`void` `getChildCount(AccessibleControlEvent e)`
`void` `getChildren(AccessibleControlEvent e)`
`void` `getDefaultAction(AccessibleControlEvent e)`
`void` `getDescription(AccessibleEvent e)`
`void` `getFocus(AccessibleControlEvent e)`
`void` `getHelp(AccessibleEvent e)`
`void` `getKeyboardShortcut(AccessibleEvent e)`
`void` `getLocation(AccessibleControlEvent e)`
`void` `getName(AccessibleEvent e)`
`void` `getRole(AccessibleControlEvent e)`
`void` `getSelection(AccessibleControlEvent e)`
`void` `getState(AccessibleControlEvent e)`
`void` `getValue(AccessibleControlEvent e)`
`void` `handleEvent(Event event)`
`void` `keyPressed(KeyEvent e)`
`void` `keyReleased(KeyEvent e)`
`void` `keyTraversed(TraverseEvent e)`
`void` `mouseDoubleClick(MouseEvent e)`
`void` `mouseDown(MouseEvent e)`
`void` `mouseEnter(MouseEvent e)`
`void` `mouseExit(MouseEvent e)`
`void` `mouseHover(MouseEvent e)`
`void` `mouseMove(MouseEvent e)`
`void` `mouseUp(MouseEvent e)`
`void` `widgetDisposed(DisposeEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LightweightSystem.EventHandler

    protected LightweightSystem.EventHandler()

Method Detail

### focusGained

    public void focusGained(FocusEvent e)

  Specified by:
    `focusGained` in interface `FocusListener`
  See Also:
    `FocusListener.focusGained(FocusEvent)`

### focusLost

    public void focusLost(FocusEvent e)

  Specified by:
    `focusLost` in interface `FocusListener`
  See Also:
    `FocusListener.focusLost(FocusEvent)`

### getChild

    public void getChild(AccessibleControlEvent e)

  Specified by:
    `getChild` in interface `AccessibleControlListener`
  See Also:
    `AccessibleControlListener.getChild(AccessibleControlEvent)`

### getChildAtPoint

    public void getChildAtPoint(AccessibleControlEvent e)

  Specified by:
    `getChildAtPoint` in interface `AccessibleControlListener`
  See Also:
    `AccessibleControlListener.getChildAtPoint(AccessibleControlEvent)`

### getChildCount

    public void getChildCount(AccessibleControlEvent e)

  Specified by:
    `getChildCount` in interface `AccessibleControlListener`
  See Also:
    `AccessibleControlListener.getChildCount(AccessibleControlEvent)`

### getChildren

    public void getChildren(AccessibleControlEvent e)

  Specified by:
    `getChildren` in interface `AccessibleControlListener`
  See Also:
    `AccessibleControlListener.getChildren(AccessibleControlEvent)`

### getDefaultAction

    public void getDefaultAction(AccessibleControlEvent e)

  Specified by:
    `getDefaultAction` in interface `AccessibleControlListener`
  See Also:
    `AccessibleControlListener.getDefaultAction(AccessibleControlEvent)`

### getDescription

    public void getDescription(AccessibleEvent e)

  Specified by:
    `getDescription` in interface `AccessibleListener`
  See Also:
    `AccessibleListener.getDescription(AccessibleEvent)`

### getFocus

    public void getFocus(AccessibleControlEvent e)

  Specified by:
    `getFocus` in interface `AccessibleControlListener`
  See Also:
    `AccessibleControlListener.getFocus(AccessibleControlEvent)`

### getHelp

    public void getHelp(AccessibleEvent e)

  Specified by:
    `getHelp` in interface `AccessibleListener`
  See Also:
    `AccessibleListener.getHelp(AccessibleEvent)`

### getKeyboardShortcut

    public void getKeyboardShortcut(AccessibleEvent e)

  Specified by:
    `getKeyboardShortcut` in interface `AccessibleListener`
  See Also:
    `AccessibleListener.getKeyboardShortcut(AccessibleEvent)`

### getLocation

    public void getLocation(AccessibleControlEvent e)

  Specified by:
    `getLocation` in interface `AccessibleControlListener`
  See Also:
    `AccessibleControlListener.getLocation(AccessibleControlEvent)`

### getName

    public void getName(AccessibleEvent e)

  Specified by:
    `getName` in interface `AccessibleListener`
  See Also:
    `AccessibleListener.getName(AccessibleEvent)`

### getRole

    public void getRole(AccessibleControlEvent e)

  Specified by:
    `getRole` in interface `AccessibleControlListener`
  See Also:
    `AccessibleControlListener.getRole(AccessibleControlEvent)`

### getSelection

    public void getSelection(AccessibleControlEvent e)

  Specified by:
    `getSelection` in interface `AccessibleControlListener`
  See Also:
    `AccessibleControlListener.getSelection(AccessibleControlEvent)`

### getState

    public void getState(AccessibleControlEvent e)

  Specified by:
    `getState` in interface `AccessibleControlListener`
  See Also:
    `AccessibleControlListener.getState(AccessibleControlEvent)`

### getValue

    public void getValue(AccessibleControlEvent e)

  Specified by:
    `getValue` in interface `AccessibleControlListener`
  See Also:
    `AccessibleControlListener.getValue(AccessibleControlEvent)`

### handleEvent

    public void handleEvent(Event event)

  Specified by:
    `handleEvent` in interface `Listener`
  Since:
    3.1
  See Also:
    `Listener.handleEvent(org.eclipse.swt.widgets.Event)`

### keyPressed

    public void keyPressed(KeyEvent e)

  Specified by:
    `keyPressed` in interface `KeyListener`
  See Also:
    `KeyListener.keyPressed(KeyEvent)`

### keyReleased

    public void keyReleased(KeyEvent e)

  Specified by:
    `keyReleased` in interface `KeyListener`
  See Also:
    `KeyListener.keyReleased(KeyEvent)`

### keyTraversed

    public void keyTraversed(TraverseEvent e)

  Specified by:
    `keyTraversed` in interface `TraverseListener`
  See Also:
    `TraverseListener.keyTraversed(TraverseEvent)`

### mouseDoubleClick

    public void mouseDoubleClick(MouseEvent e)

  Specified by:
    `mouseDoubleClick` in interface `MouseListener`
  See Also:
    `MouseListener#mouseDoubleClick(MouseEvent)`

### mouseDown

    public void mouseDown(MouseEvent e)

  Specified by:
    `mouseDown` in interface `MouseListener`
  See Also:
    `MouseListener#mouseDown(MouseEvent)`

### mouseEnter

    public void mouseEnter(MouseEvent e)

  Specified by:
    `mouseEnter` in interface `MouseTrackListener`
  See Also:
    `MouseTrackListener.mouseEnter(MouseEvent)`

### mouseExit

    public void mouseExit(MouseEvent e)

  Specified by:
    `mouseExit` in interface `MouseTrackListener`
  See Also:
    `MouseTrackListener.mouseExit(MouseEvent)`

### mouseHover

    public void mouseHover(MouseEvent e)

  Specified by:
    `mouseHover` in interface `MouseTrackListener`
  See Also:
    `MouseTrackListener.mouseHover(MouseEvent)`

### mouseMove

    public void mouseMove(MouseEvent e)

  Specified by:
    `mouseMove` in interface `MouseMoveListener`
  See Also:
    `MouseMoveListener.mouseMove(MouseEvent)`

### mouseUp

    public void mouseUp(MouseEvent e)

  Specified by:
    `mouseUp` in interface `MouseListener`
  See Also:
    `MouseListener#mouseUp(MouseEvent)`

### widgetDisposed

    public void widgetDisposed(DisposeEvent e)

  Specified by:
    `widgetDisposed` in interface `DisposeListener`
  See Also:
    `DisposeListener.widgetDisposed(DisposeEvent)`

Eclipse Draw2d 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.